<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class EventoService {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
		$this->connection = $entityManager->getConnection();
    }
    
    public function deleteCascade($CDFILIAL, $CDEVENTO, $NRORG) {
        $params = array(
            ':CDFILIAL'         => $CDFILIAL,
            ':CDEVENTO'         => $CDEVENTO,
            ':NRORG'         => $NRORG
 		);
 		
 		return $this->entityManager->getConnection()->executeQuery(self::DELETE_CASCADE, $params);
    }
    
     const DELETE_CASCADE = "
    DELETE FROM EVENTOCAIXA 
        WHERE NRORG = :NRORG 
        AND CDEVENTO = :CDEVENTO
        AND CDFILIAL = :CDFILIAL
    ";
    
     public function deleteEventoCascade($CDEVENTO, $NRORG) {
        $params = array(
            
            ':CDEVENTO'         => $CDEVENTO,
            ':NRORG'            => $NRORG
 		);
 		$this->entityManager->getConnection()->executeQuery(self::DELETE_CAIXA, $params);
 		$this->entityManager->getConnection()->executeQuery(self::DELETE_UNIDADE, $params);
 		return $this->entityManager->getConnection()->executeQuery(self::DELETE_EVENTO, $params);
    }
    
     const DELETE_CAIXA = "
    DELETE FROM EVENTOCAIXA 
        WHERE NRORG = :NRORG 
        AND CDEVENTO = :CDEVENTO
    ";
    
     const DELETE_UNIDADE = "
    DELETE FROM EVENTOFILIAL 
        WHERE NRORG = :NRORG 
        AND CDEVENTO = :CDEVENTO
    ";
    
    const DELETE_EVENTO = "
    DELETE FROM EVENTOVENDA 
        WHERE NRORG = :NRORG 
        AND CDEVENTO = :CDEVENTO
    ";

    
}